import { PageResult } from "./common";

// 复核校验
export interface ReviewTaskItemPage {
  index: number;
  sheetUri: string;
  sliceUri: string[];
}
export interface ReviewTaskItemPaper {
  number: number;
  assigned: boolean;
  assignedSuspect: boolean;
  pages: ReviewTaskItemPage[];
}
export interface ReviewTaskListItem {
  id: number;
  examNumber: string;
  name: string;
  studentCode: string;
  subjectCode: string;
  subjectName: string;
  cardNumber: number;
  omrAbsent: boolean;
  assigned: boolean;
  assignedCheckCount: number;
  assignedSuspect: boolean;
  papers: ReviewTaskItemPaper[];
}

export interface ReviewProgressResult {
  finishCount: number;
  todoCount: number;
}

export interface ReviewTaskSaveParams {
  id: number;
  result: boolean;
}

export type ReviewTaskHistoryResult = PageResult<ReviewTaskListItem>;

export interface ReviewWarningTaskExportParams {
  examId: number;
  subjectCode: string;
  type: "student" | "room";
}
